org.apache.felix.ipojo.manipulator.metadata.annotation.registry

## Interface BindingRegistry

All Known Implementing Classes:
  CompletableBindingRegistry, DefaultBindingRegistry, IgnoreAllBindingRegistry, LegacyGenericBindingRegistry, MetaAnnotationBindingRegistry

    public interface BindingRegistry

User: guillaume Date: 11/07/13 Time: 16:12

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addBindings(Iterable<Binding> bindings)`
`List<Binding>` `getBindings(String descriptor)` Find the list of `Binding` registered with the given annotation type.
`Selection` `selection(ComponentWorkbench workbench)`

### Method Detail

#### addBindings

    void addBindings(Iterable<Binding> bindings)

#### selection

    Selection selection(ComponentWorkbench workbench)

#### getBindings

    List<Binding> getBindings(String descriptor)

Find the list of `Binding` registered with the given annotation type. This method returns an empty List if no bindings are registered.

Parameters:
  `descriptor` - denotes the annotation's type
Returns:
  the list of `Binding` registered with the given descriptor, the list may be empty if no bindings are found.